| Home | Libraries | People | FAQ | More

##### url_base::buffer

(Inherited from `url_view_base`)

Return the url string.

###### Synopsis

    core::string_view
    buffer() const;

###### Description

This function returns the entire url, which may contain percent escapes.

###### Example

    assert( url_view( "http://www.example.com" ).buffer() == "http://www.example.com" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.